Как заблокировать обновления конкретного пакета из репозитория Panda?

Суть проблемы — в репозитории панда лежат старые версии браузеров Опера, Яндекс и Хром. При подключении Репозиториев от Яндекса Оперы и Хрома, старшие версии не обновляютя, а предпочтения отдаются репо Panda. Например в репо Оперы версия 18, в Panda 16. При apt upgrade 18 версия затирается 16. То же с yandex и chrome. Отключаю repo Panda  и обновляется 18й версией. Нашел только как заблокировать обновления вообще через графический интерфейс Synaptic.

Я устанавливал все браузеры из оф.сайтов. Опера сама создает свой sources.list, Хром обновил, который уже есть, используя оф.репозитории

Установка из терминала

Для установки Google Chrome вам нужно будет загрузить ключ репозитория, добавить сам репозиторий и обновить список пакетов:

wget -q -O — https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add —

sudo sh -c ‘echo «deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main» >> /etc/apt/sources.list.d/google-chrome.list’

sudo apt-get update

08.11.2018.
Ответить

+ Discord постоянно обновляется на старую версию

Пользователь Отвечено 07.11.2018.

Есть вариант устанавливать flathpak, вот отсюда https://flathub.org/apps.. Там новые версии программ. Но Яндекс браузера там нет. Зато есть дискорд.

Сначала нужно выполнить команду в терминале (только в первый раз)

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

дальше, на странице программы внизу есть две команды, на установку и на первый запуск.

В случае с ЯБ, я просто держу наготове deb. с актуальной версией.

А как их удалять? В этом флэпаке не работает Fcitx

1 неделя назад.
Ответить

Ваш ответ